Bug 188235 - joe cannot read some characters from keyboard
Summary: joe cannot read some characters from keyboard
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: joe (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-07 11:24 UTC by Krzysio (Chris) Leszczynski
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-10 08:56:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Krzysio (Chris) Leszczynski 2006-04-07 11:24:22 UTC
Description of problem:

joe cannot reproduce ``Å'' (the Polish s with accent)
when typed from keyboard, although it can correctly read
all other characters.


Version-Release number of selected component (if applicable):
joe-3.3-2


How reproducible:
always


Steps to Reproduce:

1. Use any UTF-8-based locale.
   export LOCALE=en_US.utf8 is OK.

2. Run a UTF-8-compatible terminal. Gnome's gnome-terminal or KDE's konsole
   is ok.

3. Setup polish keyboard. setxkbmap pl

4. Run joe test.txt

5. Try typing Alt-a it should produce Ä (if not, item 3 wasn't 
   run properly).

6. Try typing Alt-s
  
Actual results:

joe displays nothing. The next character after Å is eaten too.


Expected results:

joe should produce Å.

Other editors in the very same environment, for instance vi, read Å correctly.
Also Å is correctly displayed in bash prompt.


Additional info:

I think this is a problem inside joe itself. I rebuild joe-3.1
from src.rpm from FC4 and it works perfectly.

Then I compiled a pristine joe from joe-3.3.tar.gz and installed
it without any Fedora's patches, just using ./configure --prefix=/tmp/joe-usr
set export PATH=/tmp/joe-usr/bin:$PATH and run joe again.
The pristine version doesn't reproduce Å.

joe-3.3 displays Å without any problem if the file already contains it,
for instance when file is created by vi.
Pasting characters doesn't work correctly, I tried to create a Å-populated
message in old joe, and then copy-n-paste it to new joe window. All Å were
skipped.

I tried the same experiments using text console, without X11. Same results.
It doesn't depend on X11 or XKB.

I think the bug is already reported at sf.net page.
http://sourceforge.net/tracker/index.php?func=detail&aid=1227068&group_id=23475&atid=378598

Comment 1 Ivana Varekova 2006-04-10 08:56:44 UTC
Thank you for your bug report. This bug is fixed in joe-3.3-3. If there is any
problem please reopen this bug. 

Comment 2 Tomasz Ostrowski 2006-05-05 22:48:06 UTC
Any chance for errata for FC5? Not being able to type "Å" makes joe unusable for
writing in Polish.


Note You need to log in before you can comment on or make changes to this bug.